- Qt 5.15
- Class and Function Documentation
- Qt 5.15.15 Reference Documentation

# Class and Function Documentation

Links to indexes and lists for finding class and function reference documentation.

### Class Lists

All Classes | If you know the name of the class you want, find it here.
All Classes by Module | A list of all C++ API components in Qt 5
All Modules | A list of all modules in Qt 5.
All Namespaces | A Qt namespace contains enum types, functions, and sometimes classes.
All QML Basic Types | A list of QML basic types in this Qt release.
All QML Modules | A list of all QML modules in Qt 5.
All QML Types | A list of QML types in this Qt release.
Annotated Class List | If you don't know the name of the class you want, but you know what the class should do, you might try looking here.
Groups Of Related Classes | If you know what kind of class you want (GUI, painting, I.O, etc), look here.
Inheritance Hierarchy | The C++ class inheritance hierarchy for all classes in the Qt API.
Obsolete Classes | Classes and members marked obsolete that should not be used in new code.
Obsolete QML Types | A list of obsolete QML types that should not be used in new code.

### Function Lists

All Functions | All documented Qt functions listed alphabetically with a link to where each one is declared.